curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"place_id":"ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=place_id"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "place_id",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "place_id",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ place_id: "ChIJS5WVcqWh9YgRHU08rJqLNsQ" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ",
"name": "Example Place",
"address": "123 Example St., New York, NY",
"rating": 4.5,
"reviews_count": 1200,
"latitude": 40.7128,
"longitude": -74.006
}
]
Google
Discover Google Maps Places by place_id
Use the Bright Data Scraper API to discover Google Maps places by place_id. POST /datasets/v3/scrape returns structured place records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"place_id":"ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=place_id"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "place_id",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "place_id",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ place_id: "ChIJS5WVcqWh9YgRHU08rJqLNsQ" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ",
"name": "Example Place",
"address": "123 Example St., New York, NY",
"rating": 4.5,
"reviews_count": 1200,
"latitude": 40.7128,
"longitude": -74.006
}
]
Query Parameters
string
default:"gd_m8ebnr0q2qlklc02fz"
required
The dataset ID used for this request.
Must be set to
gd_m8ebnr0q2qlklc02fz to discover Google Maps places by place_id.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"place_id"
required
Must be set to
place_id.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"place_id":"ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=place_id"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "place_id",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "place_id",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ place_id: "ChIJS5WVcqWh9YgRHU08rJqLNsQ" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJS5WVcqWh9YgRHU08rJqLNsQ",
"name": "Example Place",
"address": "123 Example St., New York, NY",
"rating": 4.5,
"reviews_count": 1200,
"latitude": 40.7128,
"longitude": -74.006
}
]
Was this page helpful?